//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once


#ifdef WIN32

#if !defined(NDEBUG)
#include <crtdbg.h>
#define CDPHL_ASSERT(EXPR)  _ASSERTE((EXPR))
#else
#define CDPHL_ASSERT(EXPR)  ((void)0)
#endif

#else

#include <cassert>
#define CDPHL_ASSERT(EXPR)  assert((EXPR))

#endif


#define CDPHL_FAIL_MSG(MSG) CDPHL_ASSERT(!(MSG))

