//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#include "cdphlDefaultLogger.h"

#include <cstdio>

namespace cdphl {



//==================================================================================================
//
// 
//
//==================================================================================================

//--------------------------------------------------------------------------------------------------
/// 
//--------------------------------------------------------------------------------------------------
void DefaultLogger::log(Logger::Level messageLevel, const std::string& message)
{
    std::string levelStr = "???";
    if      (messageLevel == LL_ERROR)      levelStr = "ERR";
    else if (messageLevel == LL_WARNING)    levelStr = "WRN";
    else if (messageLevel == LL_INFO)       levelStr = "INF";
    else if (messageLevel == LL_DEBUG)      levelStr = "DBG";

    printf("%s: %s\n", levelStr.c_str(), message.c_str());
}


} // cdphl
