//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once

#include <string>


namespace cdphl {


//==================================================================================================
//
// 
//
//==================================================================================================
class Logger
{
public:
    enum Level
    {
        LL_ERROR = 1,
        LL_WARNING,
        LL_INFO,
        LL_DEBUG
    };

public:
    virtual ~Logger() {};

    virtual void    log(Logger::Level messageLevel, const std::string& message) = 0;
};

}

