//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#include "cdphlVisibilityResultValueGroup.h"

namespace cdphl {



//==================================================================================================
//
//
//
//==================================================================================================

//--------------------------------------------------------------------------------------------------
///
//--------------------------------------------------------------------------------------------------
void VisibilityResultValueGroup::setResults(const cdp_ubyte_t* resultValueArr, cdp_size_t valueCount)
{
    m_resultValues.assign(resultValueArr, resultValueArr + (valueCount));
}
    
//--------------------------------------------------------------------------------------------------
///
//--------------------------------------------------------------------------------------------------
const std::vector<cdp_ubyte_t>& VisibilityResultValueGroup::resultValueArr() const
{
    return m_resultValues;
}

}  // cdphl
