//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once

// Brings in size_t and definition of NULL
#include <cstddef>

/// Types
typedef int             cdp_int_t;
typedef size_t          cdp_size_t;
typedef double          cdp_double_t;
typedef char            cdp_char_t;
typedef wchar_t         cdp_wchar_t;
typedef unsigned char   cdp_ubyte_t;

const cdp_size_t    CDP_UNDEFINED_SIZE_T = static_cast<cdp_size_t>(-1);

// Check if the compiler supports the 'override' keyword
#if (defined(_MSC_VER) && (_MSC_VER > 1600)) || (!defined(_MSC_VER) && __cplusplus >= 201103L)
#define CDP_SUPPORTS_OVERRIDE_KEYWORD
#endif
