//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once

#include "CDPBaseTypes.h"

class CDPNodeGroup;
class CDPElementGroup;


//==================================================================================================
//
// 
//
//==================================================================================================
class CDPGeometry 
{
public:
    virtual ~CDPGeometry() {};

    virtual CDPNodeGroup*       addNodeGroup() = 0;
    virtual CDPElementGroup*    addElementGroup(cdp_size_t nodeGroupIdx) = 0;
};


//==================================================================================================
//
// 
//
//==================================================================================================
class CDPGeometrySpec
{
public:
    virtual ~CDPGeometrySpec() {};

    virtual cdp_size_t  geometryIndex() const = 0;
    virtual cdp_int_t   stateId() const = 0;
};
