//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once

#include "CDPBaseTypes.h"


//==================================================================================================
//
// 
//
//==================================================================================================
class CDPNodeGroup
{
public:
    virtual ~CDPNodeGroup() {};

    virtual void        setNodes(const cdp_double_t* nodeArr, cdp_size_t nodeCount) = 0;
    virtual void        setNodeIds(const cdp_int_t* nodeIdArr, cdp_size_t nodeCount) = 0;
    
    virtual cdp_size_t  groupIndex() const = 0;
};


