//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once

#include "CDPBaseTypes.h"


//==================================================================================================
//
// 
//
//==================================================================================================
class CDPSet
{
public:
    virtual ~CDPSet() {};

    virtual void    addItem(cdp_size_t geometryIndex, cdp_size_t groupIndex, cdp_int_t itemIndex) = 0;
    virtual void    addItems(cdp_size_t geometryIndex, cdp_size_t groupIndex, const cdp_int_t* itemIndexArr, cdp_size_t itemCount) = 0;

    virtual void    addAdaptiveGeometryItem(cdp_int_t stateId, cdp_size_t geometryIndex, cdp_size_t groupIndex, cdp_int_t itemIndex) = 0;
    virtual void    addAdaptiveGeometryItems(cdp_int_t stateId, cdp_size_t geometryIndex, cdp_size_t groupIndex, const cdp_int_t* itemIndexArr, cdp_size_t itemCount) = 0;
};


