//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2020, Ceetron AS
//##################################################################################################

#include "CDPVisibilityResultValueGroup.h"

//==================================================================================================
///
/// \class CDPVisibilityResultValueGroup
///
/// Per element visibility result (boolean result).
/// 
//==================================================================================================

//--------------------------------------------------------------------------------------------------
/// Set the results for this group.
/// 
/// Use this method to specify the results for the element group.
/// 
/// You must specify one boolean value (true = visible, false = invisible) for each element
/// in the associated element group.
//--------------------------------------------------------------------------------------------------
void CDPVisibilityResultValueGroup::setResults(const cdp_ubyte_t* resultValueArr, cdp_size_t valueCount)
{
}
