//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once

#include <string>

namespace cdphl {


//==================================================================================================
//
// 
//
//==================================================================================================
class DynamicLibrary
{
public:
    static DynamicLibrary* load(const std::string& path, std::string* errorString);
    ~DynamicLibrary();
  
    void* getSymbol(const std::string& name);

private:
    DynamicLibrary();
  
    DynamicLibrary(void* handle);
    DynamicLibrary(const DynamicLibrary&);
  
private:
    void* m_handle;  
};


}
