//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once

#include "cdphlBase.h"

#include "CDPVisibilityResultValueGroup.h"

#include <vector>

namespace cdphl {


//==================================================================================================
//
// 
//
//==================================================================================================
class VisibilityResultValueGroup : public CDPVisibilityResultValueGroup
{
public:
    virtual void                    setResults(const cdp_ubyte_t* resultValueArr, cdp_size_t valueCount) override;
    
    const std::vector<cdp_ubyte_t>& resultValueArr() const;
    
private:
    std::vector<cdp_ubyte_t>  m_resultValues;
};


}  // cdphl

