//##################################################################################################
//
//  Ceetron Data Provider Framework
//
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2018, Ceetron AS
//##################################################################################################

#pragma once

#include "CDPBaseTypes.h"

class CDPResultValueGroup;


//==================================================================================================
//
// 
//
//==================================================================================================
class CDPResult
{
public:
    virtual ~CDPResult() {};

    virtual CDPResultValueGroup* addGroup() = 0;
};



//==================================================================================================
//
// 
//
//==================================================================================================
class CDPResultSpec
{
public:
    virtual ~CDPResultSpec() {};

    virtual cdp_size_t  geometryIndex() const = 0;
    virtual cdp_int_t   resultId() const = 0;
    virtual cdp_int_t   stateId() const = 0;
};



