#pragma once

#include "CDPBaseTypes.h"
#include "CDPDataProviderFactory.h"

// Remove override keyword if not supported
#ifndef CDP_SUPPORTS_OVERRIDE_KEYWORD
#define override
#endif

//==================================================================================================
//
// 
//
//==================================================================================================
class PolyhedronProviderFactory : public CDPDataProviderFactory
{
public:
    PolyhedronProviderFactory();
    ~PolyhedronProviderFactory();

    virtual bool                getProviderInfo(CDPDataProviderInfo* info) override;
    virtual bool                isSupportedByProvider(const CDPString& modelKey) override;

    virtual CDPDataProvider*    createProviderInstance() override;
    virtual void                destroyProviderInstance(CDPDataProvider* instance) override;
};
    
    
